### 准备开发环境
1.安装Node
[Mac安装Node](https://juejin.cn/post/6844903886541553672)
[Windows安装Node](https://juejin.cn/post/6844903763312902152)
2.准备一个编辑器（ps：推荐vscode）
[Vscode官网](https://code.visualstudio.com/)
3.下载并解模板的压缩包
### 如何生产卡片

1. 安装依赖
   1. 打开终端，在卡片文件夹根目录里执行`npm i` (ps: npm下载速度会比较慢，可以考虑使用淘宝npm镜像 cnpm)；`npm install -g cnpm --registry=https://registry.npm.taobao.org`
2. `npm run dev`（本地运行）

安装完依赖之后也是在根目录执行`npm run dev`命令运行服务，如下图所示，可以点击[http://localhost:9000/](http://localhost:9000/)访问本地环境的页面；
![image.png](https://intranetproxy.alipay.com/skylark/lark/0/2022/png/24856559/1667375562783-2537acee-4462-41fe-92cb-c65e2430f54a.png#clientId=u1deab6b9-f2e4-4&crop=0&crop=0&crop=1&crop=1&from=paste&height=477&id=ucedd6185&margin=%5Bobject%20Object%5D&name=image.png&originHeight=954&originWidth=2342&originalType=binary&ratio=1&rotation=0&showTitle=false&size=238091&status=done&style=none&taskId=ud210ce92-4d84-4f9a-adaa-57d3da335ff&title=&width=1171)

3. 打包产物

执行 `npm run build`，打包的产物会放在根目录下的dist文件夹，最终的打包产物是app.js；

4. 在数字人开放平台上传app.js文件
### 注意事项
1.请勿修改package.json里的name属性值，否则会导致卡片无法正常加载渲染；
2.开发时可打开浏览器控制台，选择移动端分辨率，调成720*1280的分辨率进行组件样式调试；
